tcl_syscolors.d(1m)

NAME
tcl_syscolors.d - trace Tcl program flow plus syscalls, in color.

SYNOPSIS
tcl_syscolors.d { -p PID | -c cmd }

DESCRIPTION
This traces activity from all Tcl processes on the system with DTrace provider support (tcl8.4.16). This watches Tcl method entries and returns, and indents child method calls.

OS
Any

STABILITY
Evolving - uses the DTrace Tcl provider, which may change as additional features are introduced. Check Tcl/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # tcl_syscolors.d

FIELDS

C   CPU-id

PID Process ID

TID Thread ID

DELTA(us)
    Elapsed time from previous line to this line

TYPE
    Type of call (proc/cmd/syscall)

NAME
    Tcl proc/cmd or syscall name

WARNING
Watch the first column carefully, it prints the CPU-id. If it changes, then it is very likely that the output has been shuffled.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
tcl_syscolors.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)